import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CreateNotificationConfigurationRequest,
  CreateNotificationConfigurationResponse,
} from "../models/models_0";
import {
  NotificationsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../NotificationsClient";
export { __MetadataBearer };
export { $Command };
export interface CreateNotificationConfigurationCommandInput
  extends CreateNotificationConfigurationRequest {}
export interface CreateNotificationConfigurationCommandOutput
  extends CreateNotificationConfigurationResponse,
    __MetadataBearer {}
declare const CreateNotificationConfigurationCommand_base: {
  new (
    input: CreateNotificationConfigurationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateNotificationConfigurationCommandInput,
    CreateNotificationConfigurationCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: CreateNotificationConfigurationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateNotificationConfigurationCommandInput,
    CreateNotificationConfigurationCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class CreateNotificationConfigurationCommand extends CreateNotificationConfigurationCommand_base {
  protected static __types: {
    api: {
      input: CreateNotificationConfigurationRequest;
      output: CreateNotificationConfigurationResponse;
    };
    sdk: {
      input: CreateNotificationConfigurationCommandInput;
      output: CreateNotificationConfigurationCommandOutput;
    };
  };
}
