import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  ListManagedNotificationChildEventsRequest,
  ListManagedNotificationChildEventsResponse,
} from "../models/models_0";
import {
  NotificationsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../NotificationsClient";
export { __MetadataBearer };
export { $Command };
export interface ListManagedNotificationChildEventsCommandInput
  extends ListManagedNotificationChildEventsRequest {}
export interface ListManagedNotificationChildEventsCommandOutput
  extends ListManagedNotificationChildEventsResponse,
    __MetadataBearer {}
declare const ListManagedNotificationChildEventsCommand_base: {
  new (
    input: ListManagedNotificationChildEventsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListManagedNotificationChildEventsCommandInput,
    ListManagedNotificationChildEventsCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: ListManagedNotificationChildEventsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListManagedNotificationChildEventsCommandInput,
    ListManagedNotificationChildEventsCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ListManagedNotificationChildEventsCommand extends ListManagedNotificationChildEventsCommand_base {
  protected static __types: {
    api: {
      input: ListManagedNotificationChildEventsRequest;
      output: ListManagedNotificationChildEventsResponse;
    };
    sdk: {
      input: ListManagedNotificationChildEventsCommandInput;
      output: ListManagedNotificationChildEventsCommandOutput;
    };
  };
}
