import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  AssociateManagedNotificationAdditionalChannelRequest,
  AssociateManagedNotificationAdditionalChannelResponse,
} from "../models/models_0";
import {
  NotificationsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../NotificationsClient";
export { __MetadataBearer };
export { $Command };
export interface AssociateManagedNotificationAdditionalChannelCommandInput
  extends AssociateManagedNotificationAdditionalChannelRequest {}
export interface AssociateManagedNotificationAdditionalChannelCommandOutput
  extends AssociateManagedNotificationAdditionalChannelResponse,
    __MetadataBearer {}
declare const AssociateManagedNotificationAdditionalChannelCommand_base: {
  new (
    input: AssociateManagedNotificationAdditionalChannelCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    AssociateManagedNotificationAdditionalChannelCommandInput,
    AssociateManagedNotificationAdditionalChannelCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: AssociateManagedNotificationAdditionalChannelCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    AssociateManagedNotificationAdditionalChannelCommandInput,
    AssociateManagedNotificationAdditionalChannelCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class AssociateManagedNotificationAdditionalChannelCommand extends AssociateManagedNotificationAdditionalChannelCommand_base {
  protected static __types: {
    api: {
      input: AssociateManagedNotificationAdditionalChannelRequest;
      output: {};
    };
    sdk: {
      input: AssociateManagedNotificationAdditionalChannelCommandInput;
      output: AssociateManagedNotificationAdditionalChannelCommandOutput;
    };
  };
}
