import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DeleteEventRuleRequest,
  DeleteEventRuleResponse,
} from "../models/models_0";
import {
  NotificationsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../NotificationsClient";
export { __MetadataBearer };
export { $Command };
export interface DeleteEventRuleCommandInput extends DeleteEventRuleRequest {}
export interface DeleteEventRuleCommandOutput
  extends DeleteEventRuleResponse,
    __MetadataBearer {}
declare const DeleteEventRuleCommand_base: {
  new (
    input: DeleteEventRuleCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteEventRuleCommandInput,
    DeleteEventRuleCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DeleteEventRuleCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteEventRuleCommandInput,
    DeleteEventRuleCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DeleteEventRuleCommand extends DeleteEventRuleCommand_base {
  protected static __types: {
    api: {
      input: DeleteEventRuleRequest;
      output: {};
    };
    sdk: {
      input: DeleteEventRuleCommandInput;
      output: DeleteEventRuleCommandOutput;
    };
  };
}
