import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  ListEventRulesRequest,
  ListEventRulesResponse,
} from "../models/models_0";
import {
  NotificationsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../NotificationsClient";
export { __MetadataBearer };
export { $Command };
export interface ListEventRulesCommandInput extends ListEventRulesRequest {}
export interface ListEventRulesCommandOutput
  extends ListEventRulesResponse,
    __MetadataBearer {}
declare const ListEventRulesCommand_base: {
  new (
    input: ListEventRulesCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListEventRulesCommandInput,
    ListEventRulesCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: ListEventRulesCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListEventRulesCommandInput,
    ListEventRulesCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ListEventRulesCommand extends ListEventRulesCommand_base {
  protected static __types: {
    api: {
      input: ListEventRulesRequest;
      output: ListEventRulesResponse;
    };
    sdk: {
      input: ListEventRulesCommandInput;
      output: ListEventRulesCommandOutput;
    };
  };
}
